# VertexComponentAnalysis

## Brief Description

Find endmembers in hyperspectral images with Vertex Component Analysis

## Tags

Hyperspectral,Dimensionality Reduction

## Long Description

Applies the Vertex Component Analysis to an hyperspectral image to extract endmembers

## Parameters

- [param] -in <string> Input hyperspectral data cube. Mandatory: True. Default Value: ""
- [param] -ne <int32> The number of endmembers to extract from the data cube. Mandatory: True. Default Value: "1"
- [param] -outendm <string> The endmebers, stored in a one-line multi-spectral image, each pixel representing an endmember. Mandatory: True. Default Value: ""
- [param] -rand <int32> Set specific seed. with integer value.. Mandatory: False. Default Value: "0"

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- in: cupriteSubHsi.tif

- ne: 5

- outendm: VertexComponentAnalysis.tif double